Subject: Re: [bug#73128] [PATCH gnome-team 00/12] Mini update dump

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 11 Sep 2024 19:00:39 +0200

Am Mittwoch, dem 11.09.2024 um 14:11 +0900 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Hi folks,
> > 
> > with GNOME 45 nearing EOL (we are still on 44, sadly) and 47 just
> > around the corner, I figured that gnome-team should pick up some
> > speed.  Sadly, we need glib 2.80 or newer for gnome-shell, so this
> > is about as far as I can get – there is also a nasty qtbase thing
> > that is worth our attention.
> 
> Is there an issue for the qtbase related problem?
Not yet – I haven't found the time to document it, but it is a single
test failure that sounds very bad.

> > Some of the latter patches require that qtbase be fixed or
> > libcamera be built without it.  This series includes neither,
> > because I wasn't able to do the former and would rather not push
> > the latter without a good reason.
> 
> I think it'd make sense to have libcamera qt-less and have a
> libcamera-qt variant for Qt users.  This would add to the greater
> work of having GTK 4 not pull Qt (via gstreamer plugins for example),
> as was reported here [0]
Okay, I will go with that in a separate issue then.

Cheers